; CL-DBMS by Zerosum
; $Id: 
;
; * A transaction 
;

(defstruct (tx)
  env
  status
)

; Create a transaction that is not begined yet.
; Return a new transaction
(defun tx-create( env )
  ( make-tx :env    env
            :status 'none )
)

; Destroy a transaction, tx
(defun tx-destroy( tx )
)

; Begin a transaction, tx
(defun tx-begin( tx )
)

; Commit a transaction, tx
(defun tx-commit( tx )
)

; Establish a savepoint named, sp-name
; When the sp-name is nil, establish an implicit savepoint
(defun tx-savepoint( sp-name )
)

; Rollback a transaction, tx
; To a savepoint named, sp-name
; if sp-name is nil, rollback to implicit savepoint.
(defun tx-partial-rollback( sp-name )
)

(defun tx-total-rollback()
)

