; CL-DBMS by Zerosum
; $Id: 
;
; * Construct database files
; * A database consists of 
;     - SYSTEM, DATA, and TEMP tablespace 
;     - Log files and a log anchor file that points to them
; * Sub-functions of db-create function in db.lisp
;


; Create a DB anchor
;
; DB anchor has information on 
;   1. DB version
;   2. tablespaces
(defun db-create-db-anchor ( env )
)

; Create a system tablespace
;
; On a directory, *db-prop-db-dir*
(defun db-create-system-tablespace( env )
)

; Create a data tablespace
;
; On a directory, *db-prop-db-dir*
(defun db-create-data-tablespace( env )
)

; Create a temporary tablespace
;
; On a directory, *db-prop-db-dir*
(defun db-create-temp-tablespace( env )
)

; Create log files
;
; On a directory, *db-prop-log-dir*
(defun db-create-log-files( env )
)

